Antiprism 0.23

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Functions

# base/polygons.h File Reference

Generate polyhedra based on polygons. More...

`#include <string.h>`
`#include "geom.h"`
`#include "transforms.h"`
`#include "math_utils.h"`
Include dependency graph for polygons.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | polygon
| Make a uniform polygon. More...
class | dihedron
| Make a dihedron. More...
class | prism
| Make a prism. More...
class | antiprism
| Make an antiprism. More...
class | snub_antiprism
| Make a snub-antiprism. More...
class | pyramid
| Make a pyramid. More...
class | dipyramid
| Make a dipyramid. More...
class | cupola
| Make a cupola. More...
class | orthobicupola
| Make an orthibicupola. More...
class | gyrobicupola
| Make a gyrobicupola. More...
class | crown_poly
| Make a crown polyhedron. More...
## Functions
template<class T >
bool | uni_pgon (geom_if &geom, T pgon)
| Make a uniform model of a polygon-based polyhedron.

## Detailed Description

Generate polyhedra based on polygons.

## Function Documentation

template<class T >

bool uni_pgon | ( | geom_if & | geom,
|  | T | pgon
| ) |  |

Make a uniform model of a polygon-based polyhedron.

The model has all its edges set to one and its faces are regular. For prism's, antiprisms and pyramids the resulting model wil be uniform.

Parameters:

  geom | a geometry to return the model.
  pgon | a polygon-derived object of the polyhedron type required;

Returns:
  true if the edge types could be set to length `1.0`, otherwise `false`.